Two step withdrawal - step 1

It allows you to order a two-step withdrawal to the address we choose. The first step allows you to create a payout to get information about commissions and the final amount that will be paid out. The second step allows you to enter the destination payout address, after which the payout is processed. In order to be able to make withdrawals, this option must be unlocked in the Security tab at a specific store. Otherwise, we will receive the message: FORBIDDEN. You should also pay attention to the appropriate precision for a given currency. If the number of decimal places is exceeded, an error response will be returned.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response details:

Key

Type

Description

status

String

Status for the made payment: ok / fail.

data

array

Default: null.

outgoingPaymentId

UUID

The ID of the payout you created.

expirationTimestamp

Unix Timestamp

Payout expiration time (the time until when you can provide an address - perform the second step).

sourceCurrency

String

Source currency.

destinationCurrency

String

Destination currency.

channelName

String

Channel through which the
destination currency will be sent.

sourcePrice

decimal

The initial value of the funds in the source currency.

transferPrice

decimal

Source currency value of funds to be debited from the wallet.

chargePrice

decimal

The value of the commission for making a withdrawal.

destinationTransferAmount

decimal

The amount of funds needed to complete the withdrawal.

amountToWithdraw

decimal

The amount of funds that will be received.

Body Params
string
required

Unique Payout ID. If the previously entered identifier is sent, we will receive an error response.

string
required

The target currency that will be delivered to the provided wallet address.

string

Withdrawal address. We can specify it in the first step to increase the precision of calculations. If a destination tag is required, specify it in the format: <your_address>?dt=<your_destination_tag>.

double

The amount of funds in the source currency that will be sent. Required if sourceAmount is missing.

double

The amount of funds in the destination currency that will be disbursed to the destination address. Required if sourcePrice is missing.

string
required

The source currency in which the funds will be debited.

string

By whom the commission is to be covered. MERCHANT - the seller, BUYER - the customer receiving the payment.

boolean

Value: true - funds will be debited from the balance in the destinationCurrency currency, no currency conversion will be performed Value: false - funds will be debited from the balance in the sourceCurrency currency, currency conversion will be performed to the destinationCurrency currency.

string

The channel to use with the given destinationCurrency, uses default if empty.

travelRuleInput
object

Object to encapsulate, travel rule details required when creating withdrawal

string

Partner Id generated for partner

Response

Language
Credentials
Query
LoadingLoading…
Response
Choose an example:
application/json